Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class TreeTokenizerFactory

    java.lang.Object
      edu.stanford.nlp.trees.TreeTokenizerFactory

All Implemented Interfaces:
  IteratorFromReaderFactory<Tree>, TokenizerFactory<Tree>

    public class TreeTokenizerFactory

extends Object
implements TokenizerFactory<Tree>

Wrapper for TreeReaderFactory. Any IOException in the readTree() method of the TreeReader will result in a null tree returned.

Author:
  Roger Levy (rog@stanford.edu), javanlp

Constructor Summary
`TreeTokenizerFactory(TreeReaderFactory trf)` Create a TreeTokenizerFactory from a TreeReaderFactory.

Method Summary
`Iterator<Tree>` | `getIterator(Reader r)` Same as getTokenizer().
`Tokenizer<Tree>` | `getTokenizer(Reader r)` Gets a tokenizer from a reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTokenizerFactory

    public TreeTokenizerFactory(TreeReaderFactory trf)

  Create a TreeTokenizerFactory from a TreeReaderFactory.

Method Detail

### getTokenizer

    public Tokenizer<Tree> getTokenizer(Reader r)

  Gets a tokenizer from a reader.

  Specified by:
    `getTokenizer` in interface `TokenizerFactory<Tree>`

### getIterator

    public Iterator<Tree> getIterator(Reader r)

  Same as getTokenizer().

  Specified by:
    `getIterator` in interface `IteratorFromReaderFactory<Tree>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group